| Home | Libraries | People | FAQ | More

#### http::span_body

A Body using `span`.

##### Synopsis

Defined in header `<boost/beast/http/span_body_fwd.hpp>`

    template<
        class T>
    struct span_body

##### Types

Name | Description
--- | ---
reader | The algorithm for parsing the body.
value_type | The type of container used for the body.
writer | The algorithm for serializing the body.

##### Static Member Functions

Name | Description
--- | ---
size | Returns the payload size of the body.

##### Description

This body uses `span` as a memory-based container for holding message payloads. The container represents a non-owning reference to a contiguous area of memory. Messages using this body type may be serialized and parsed.

Unlike `buffer_body`, only one buffer may be provided during a parse or serialize operation.